<?php
/*
	Question2Answer by Gideon Greenspan and contributors
	http://www.question2answer.org/

	Description: Language phrases commonly used throughout Q2A


	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	More about this license: http://www.question2answer.org/license.php
*/

return array(
	'_decimal_point' => '.',
	'_thousands_separator' => ',',
	'_thousands_suffix' => 'k',
	'_millions_suffix' => 'm',
	'1_answer' => '1 answer',
	'1_comment' => '1 comment',
	'1_day' => '1 day',
	'1_disliked' => '1 dislike',
	'1_flag' => '1 flag',
	'1_hour' => '1 hour',
	'1_liked' => '1 like',
	'1_minute' => '1 minute',
	'1_month' => '1 month',
	'1_point' => '1 point',
	'1_question' => '1 question',
	'1_second' => '1 second',
	'1_tag' => '1 tag',
	'1_user' => '1 user',
	'1_view' => '1 view',
	'1_vote' => '1 vote',
	'1_week' => '1 week',
	'1_year' => '1 year',
	'add_category_x_favorites' => 'Add category ^ to my favorites',
	'add_favorites' => 'Add to my favorites',
	'add_tag_x_favorites' => 'Add tag ^ to my favorites',
	'all_categories' => 'All categories',
	'anonymous' => 'anonymous',
	'answer_edited' => 'answer edited',
	'answer_reshown' => 'answer reshown',
	'answer_selected' => 'answer selected',
	'answered' => 'answered',
	'answered_qs_in_x' => 'Most answered questions in ^',
	'answered_qs_title' => 'Most answered questions',
	'asked' => 'asked',
	'asked_related_q' => 'asked related question',
	'by_x' => 'by ^',
	'cancel_button' => 'Cancel',
	'closed' => 'closed',
	'comment_edited' => 'comment edited',
	'comment_moved' => 'comment moved',
	'comment_reshown' => 'comment reshown',
	'commented' => 'commented',
	'date_day_min_digits' => 1, // 1 or 2
	'date_format_other_years' => '^month ^day, ^year',
	'date_format_this_year' => '^month ^day',
	'date_month_1' => 'Jan',
	'date_month_2' => 'Feb',
	'date_month_3' => 'Mar',
	'date_month_4' => 'Apr',
	'date_month_5' => 'May',
	'date_month_6' => 'Jun',
	'date_month_7' => 'Jul',
	'date_month_8' => 'Aug',
	'date_month_9' => 'Sep',
	'date_month_10' => 'Oct',
	'date_month_11' => 'Nov',
	'date_month_12' => 'Dec',
	'date_year_digits' => 4, // 2 or 4
	'edited' => 'edited',
	'email_error' => 'An error occurred trying to send the email.',
	'field_required' => 'Please enter something in this field',
	'file_upload_limit_exceeded' => 'The size of the file exceeds the server\'s limits',
	'general_error' => 'A server error occurred - please try again.',
	'hidden' => 'hidden',
	'highest_users' => 'Top scoring users',
	'hot_qs_in_x' => 'Hot questions in ^',
	'hot_qs_title' => 'Hot questions',
	'image_not_read' => 'The image could not be read. Please upload one of: ^',
	'image_too_big_x_pc' => 'This image is too big. Please scale to ^% then try again.',
	'in_category_x' => 'in ^',
	'ip_address_x' => 'IP address ^',
	'logged_in_x' => 'Hello ^',
	'max_length_x' => 'Maximum length is ^ characters',
	'max_upload_size_x' => 'Maximum upload size is ^',
	'me' => 'me',
	'meta_order' => '^what^when^where^who', // you can reorder but DO NOT translate! e.g. <answered> <15 hours ago> <in Problems> <by me (500 points)>
	'min_length_x' => 'Please provide more information - at least ^ characters',
	'moved' => 'moved',
	'nav_activity' => 'All Activity',
	'nav_admin' => 'Admin',
	'nav_ask' => 'Ask a Question',
	'nav_categories' => 'Categories',
	'nav_feedback' => 'Send feedback',
	'nav_home' => 'Home',
	'nav_hot' => 'Hot!',
	'nav_login' => 'Login',
	'nav_logout' => 'Logout',
	'nav_most_answers' => 'Most answers',
	'nav_most_recent' => 'Recent',
	'nav_most_views' => 'Most views',
	'nav_most_votes' => 'Most votes',
	'nav_no_answer' => 'No answer',
	'nav_no_selected_answer' => 'No selected answer',
	'nav_no_upvoted_answer' => 'No upvoted answer',
	'nav_qa' => 'Q&A',
	'nav_qs' => 'Questions',
	'nav_register' => 'Register',
	'nav_tags' => 'Tags',
	'nav_unanswered' => 'Unanswered',
	'nav_updates' => 'My Updates',
	'nav_users' => 'Users',
	'newest_users' => 'Newest users',
	'no_active_users' => 'No active users found',
	'no_answers_found' => 'No answers found',
	'no_answers_in_x' => 'No answers in ^',
	'no_categories_found' => 'No categories found',
	'no_category' => 'No category',
	'no_comments_found' => 'No comments found',
	'no_comments_in_x' => 'No comments in ^',
	'no_questions_found' => 'No questions found',
	'no_questions_in_x' => 'No questions in ^',
	'no_related_qs_title' => 'No related questions found',
	'no_results_for_x' => 'No results found for ^',
	'no_tags_found' => 'No tags found',
	'no_una_questions_found' => 'No unanswered questions found',
	'no_una_questions_in_x' => 'No unanswered questions in ^',
	'no_unselected_qs_found' => 'No questions found without a selected answer',
	'no_unupvoteda_qs_found' => 'No questions found without an upvoted answer',
	'page_label' => 'Page:',
	'page_next' => 'next',
	'page_not_found' => 'Page not found',
	'page_prev' => 'prev',
	'popular_tags' => 'Most popular tags',
	'questions_tagged_x' => 'Recent questions tagged ^',
	'recategorized' => 'recategorized',
	'recent_activity_in_x' => 'Recent activity in ^',
	'recent_activity_title' => 'Recent activity',
	'recent_as_in_x' => 'Recently answered questions in ^',
	'recent_as_title' => 'Recently answered questions',
	'recent_cs_in_x' => 'Recently commented questions in ^',
	'recent_cs_title' => 'Recently commented questions',
	'recent_qs_as_in_x' => 'Recent questions and answers in ^',
	'recent_qs_as_title' => 'Recent questions and answers',
	'recent_qs_in_x' => 'Recent questions in ^',
	'recent_qs_title' => 'Recent questions',
	'related_qs_title' => 'Related questions',
	'remove_favorites' => 'Remove from my favorites',
	'remove_x_favorites' => 'Remove ^ from my favorites',
	'reopened' => 'reopened',
	'reshown' => 'reshown',
	'results_for_x' => 'Search results for ^',
	'retagged' => 'retagged',
	'save_button' => 'Save Changes',
	'search_button' => 'Search',
	'search_explanation' => 'Please enter some text into the search box and try again.',
	'search_title' => 'Search results',
	'selected' => 'selected',
	'send_button' => 'Send',
	'since_x' => 'since ^',
	'suggest_ask' => 'Help get things started by ^1asking a question^2.',
	'suggest_category_qs' => 'To see more, click for all the ^1questions in this category^2.',
	'suggest_qs' => 'To see more, click for the ^1full list of questions^2.',
	'suggest_qs_tags' => 'To see more, click for the ^1full list of questions^2 or ^3popular tags^4.',
	'to_x' => 'to ^',
	'unanswered_qs_in_x' => 'Questions without answers in ^',
	'unanswered_qs_title' => 'Recent questions without answers',
	'unselected_qs_in_x' => 'Questions without a selected answer in ^',
	'unselected_qs_title' => 'Recent questions without a selected answer',
	'unupvoteda_qs_in_x' => 'Questions without an upvoted answer in ^',
	'unupvoteda_qs_title' => 'Recent questions without an upvoted answer',
	'upload_limit' => 'Too many uploads - please try again in an hour',
	'view_q_must_be_approved' => 'Your account must be approved to view question pages. Please wait or ^1add more information^2.',
	'view_q_must_confirm' => 'Please ^5confirm your email address^6 to view question pages.',
	'view_q_must_login' => 'Please ^1log in^2 or ^3register^4 to view question pages.',
	'viewed_qs_in_x' => 'Most viewed questions in ^',
	'viewed_qs_title' => 'Most viewed questions',
	'vote_disabled_approve' => 'Your account must be approved before you can vote',
	'vote_disabled_down' => 'Voting down is only available to some users',
	'vote_disabled_down_approve' => 'Your account must be approved before you can vote down',
	'vote_disabled_hidden_post' => 'You cannot vote on hidden posts',
	'vote_disabled_hidden_a' => 'You cannot vote on hidden answers',  // @deprecated
	'vote_disabled_hidden_q' => 'You cannot vote on hidden questions',  // @deprecated
	'vote_disabled_level' => 'Voting is only available to some users',
	'vote_disabled_my_post' => 'You cannot vote on your own posts',
	'vote_disabled_my_a' => 'You cannot vote on your own answers',  // @deprecated
	'vote_disabled_my_q' => 'You cannot vote on your own questions',  // @deprecated
	'vote_disabled_q_page_only' => 'Please view this question to vote',
	'vote_disabled_queued' => 'You can only vote on approved posts',
	'vote_down_must_confirm' => 'Please ^5confirm your email address^6 to vote down.',
	'vote_down_popup' => 'Click to vote down',
	'vote_limit' => 'Too many votes received - please try again in an hour',
	'vote_must_confirm' => 'Please ^5confirm your email address^6 to vote.',
	'vote_must_login' => 'Please ^1log in^2 or ^3register^4 to vote.',
	'vote_not_allowed' => 'Voting on this is not allowed',
	'vote_up_popup' => 'Click to vote up',
	'voted_down_popup' => 'You have voted this down - click to remove vote',
	'voted_qs_in_x' => 'Highest voted questions in ^',
	'voted_qs_title' => 'Highest voted questions',
	'voted_up_popup' => 'You have voted this up - click to remove vote',
	'written' => '', // blank in English - placeholder for other languages
	'x_ago' => '^ ago',
	'x_answers' => '^ answers',
	'x_comments' => '^ comments',
	'x_days' => '^ days',
	'x_disliked' => '^ dislike',
	'x_flags' => '^ flags',
	'x_hours' => '^ hours',
	'x_liked' => '^ like',
	'x_minutes' => '^ minutes',
	'x_months' => '^ months',
	'x_points' => '^ points',
	'x_questions' => '^ questions',
	'x_seconds' => '^ seconds',
	'x_tags' => '^ tags',
	'x_users' => '^ users',
	'x_views' => '^ views',
	'x_votes' => '^ votes',
	'x_weeks' => '^ weeks',
	'x_years' => '^ years',
);
