<?php
/*
	Question2Answer by Gideon Greenspan and contributors
	http://www.question2answer.org/

	Description: Language phrases for all options, as shown in admin center


	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	More about this license: http://www.question2answer.org/license.php
*/

return array(
	'allow_anonymous_naming' => 'Allow anonymous posters to specify their name:',
	'allow_change_usernames' => 'Allow users with posts to change their username:',
	'allow_close_questions' => 'Allow questions to be manually closed:',
	'allow_close_own_questions' => 'Allow users to close their own questions:',
	'allow_login_email_only' => 'Only log in by email address (not username):',
	'allow_multi_answers' => 'Allow multiple answers per user:',
	'allow_no_category' => 'Allow questions with no category',
	'allow_no_sub_category' => 'Allow questions with a category but no sub-category',
	'allow_private_messages' => 'Enable private messaging between users:',
	'allow_self_answer' => 'Allow users to answer their own question:',
	'allow_user_walls' => 'Enable wall posts on user profiles:',
	'allow_view_q_bots' => 'Allow search engines to view question pages',
	'approve_user_required' => 'All new users must be approved:', // @deprecated
	'avatar_allow_gravatar' => 'Allow ^1Gravatar^2 avatars:',
	'avatar_allow_upload' => 'Allow users to upload avatars:',
	'avatar_default_show' => 'Default avatar:',
	'avatar_message_list_size' => 'Avatar size on message lists:',
	'avatar_profile_size' => 'Avatar size on user profile page:',
	'avatar_q_list_size' => 'Avatar size on question lists:',
	'avatar_q_page_a_size' => 'Avatar size on answers:',
	'avatar_q_page_c_size' => 'Avatar size on comments:',
	'avatar_q_page_q_size' => 'Avatar size on questions:',
	'avatar_store_size' => 'Maximum size for storing avatars:',
	'avatar_users_size' => 'Avatar size on top users page:',
	'block_bad_usernames' => 'Disallowed usernames - separate by spaces or commas:',
	'block_bad_words' => 'Censored words - separate by spaces or commas:',
	'block_ips_write' => 'Blocked IP addresses - separate by spaces or commas:',
	'caching_catwidget_time' => 'Cache category widget for:',
	'caching_enabled' => 'Enable caching:',
	'caching_driver' => 'Caching driver',
	'caching_filesystem' => 'Filesystem',
	'caching_memcached' => 'Memcached',
	'caching_q_start' => 'Start caching questions after:',
	'caching_q_time' => 'Cache question pages for:',
	'caching_qlist_time' => 'Cache question lists for:',
	'captcha_module' => 'Use captcha module:',
	'captcha_on_anon_post' => 'Use captcha for anonymous posts:',
	'captcha_on_feedback' => 'Use captcha on feedback form:',
	'captcha_on_register' => 'Use captcha for user registration:',
	'captcha_on_reset_password' => 'Use captcha on reset password form:',
	'captcha_on_unapproved' => 'Use captcha if user not yet approved:',
	'captcha_on_unconfirmed' => 'Use captcha if email not confirmed:',
	'columns_tags' => 'Columns on Tags page:',
	'columns_users' => 'Columns on Users page:',
	'comment_on_as' => 'Allow comments on answers:',
	'comment_on_qs' => 'Allow comments on questions:',
	'confirm_user_emails' => 'Request confirmation of user emails:',
	'confirm_user_required' => 'All new users must confirm their email:',
	'custom_home_content' => 'Home page content - HTML allowed:',
	'custom_home_heading' => 'Home page heading:',
	'default_privacy' => 'Privacy: Your email address will not be shared or sold to third parties.',
	'default_sidebar' => 'Welcome to ^, where you can ask questions and receive answers from other members of the community.',
	'default_subject' => 'A message from ^',
	'default_suffix' => 'Q&A',
	'default_terms' => 'I agree to the ^ Terms & Conditions and Privacy Policy',
	'do_ask_check_qs' => 'Check for similar questions when asking:',
	'do_close_on_select' => 'Close questions with a selected answer:',
	'do_complete_tags' => 'Show matching tags while typing:',
	'do_count_q_views' => 'Count the number of question views:',
	'do_example_tags' => 'Show example tags based on question:',
	'editor_for_as' => 'Default editor for answers:',
	'editor_for_cs' => 'Default editor for comments:',
	'editor_for_qs' => 'Default editor for questions:',
	'email_privacy' => 'Privacy note for email addresses - HTML allowed:',
	'extra_field_active' => 'Custom field for extra information on ask form:',
	'extra_field_display' => 'Show the extra information on question pages',
	'extra_field_display_label' => 'Show the extra information on question pages with label:',
	'feed_for_activity' => 'Feed for recent activity:',
	'feed_for_hot' => 'Feed for hot questions:',
	'feed_for_qa' => 'Feed for recent questions and answers:',
	'feed_for_questions' => 'Feed for recent questions:',
	'feed_for_search' => 'Feeds for search results:',
	'feed_for_tag_qs' => 'Feed for each tag\'s questions:',
	'feed_for_unanswered' => 'Feed for unanswered questions:',
	'feed_full_text' => 'Include full text in feeds:',
	'feed_number_items' => 'Maximum length of feeds:',
	'feed_per_category' => 'Individual feeds per category:',
	'feedback_email' => 'Email address for admin messages - not shown to users:',
	'feedback_enabled' => 'Provide a page for users to send feedback',
	'flagging_hide_after' => 'Automatically hide posts which reach:',
	'flagging_notify_every' => 'Email me again after every additional:',
	'flagging_notify_first' => 'Email me if a post receives:',
	'flagging_of_posts' => 'Allow posts to be flagged:',
	'follow_on_as' => 'Allow questions to be related to answers:',
	'from_email' => 'Sender address for messages from site:',
	'hot_weight_a_age' => 'Question has a new answer:',
	'hot_weight_answers' => 'Question has many answers:',
	'hot_weight_q_age' => 'Question is new:',
	'hot_weight_views' => 'Question has many views:',
	'hot_weight_votes' => 'Question has many up votes:',
	'links_in_new_window' => 'Open linked URLs in a new window:',
	'logo_height' => 'Logo height:',
	'logo_show' => 'Show a logo image in the page header',
	'logo_url' => 'URL of logo - absolute or relative to Q2A root:',
	'logo_width' => 'Logo width:',
	'mailing_body' => 'Body text:',
	'mailing_enabled' => 'Enable mass mailings to all users',
	'mailing_from_email' => 'From email address:',
	'mailing_from_name' => 'From name:',
	'mailing_per_minute' => 'Maximum mailing rate:',
	'mailing_subject' => 'Subject line:',
	'match_1' => 'Narrowest',
	'match_2' => 'Narrower',
	'match_3' => 'Default',
	'match_4' => 'Wider',
	'match_5' => 'Widest',
	'match_ask_check_qs' => 'Similar questions matching:',
	'match_example_tags' => 'Example tags matching:',
	'match_related_qs' => 'Related questions matching:',
	'max_len_q_title' => 'Maximum length of question title:',
	'max_num_q_tags' => 'Maximum number of tags:',
	'max_rate_ip_as' => 'Rate limit for adding answers:',
	'max_rate_ip_cs' => 'Rate limit for posting comments:',
	'max_rate_ip_flags' => 'Rate limit for flagging posts:',
	'max_rate_ip_logins' => 'Rate limit for logging in:',
	'max_rate_ip_messages' => 'Rate limit for private and wall messages:',
	'max_rate_ip_qs' => 'Rate limit for asking questions:',
	'max_rate_ip_registers' => 'Rate limit for user registrations:',
	'max_rate_ip_uploads' => 'Rate limit for uploading files:',
	'max_rate_ip_votes' => 'Rate limit for voting:',
	'max_rate_user_as' => 'Maximum answers per user per hour:',
	'max_rate_user_cs' => 'Maximum comments per user per hour:',
	'max_rate_user_flags' => 'Maximum flags per user per hour:',
	'max_rate_user_messages' => 'Maximum private messages per user per hour:',
	'max_rate_user_qs' => 'Maximum questions per user per hour:',
	'max_rate_user_uploads' => 'Maximum uploads per user per hour:',
	'max_rate_user_votes' => 'Maximum votes per user per hour:',
	'min_len_a_content' => 'Minimum length of answer:',
	'min_len_c_content' => 'Minimum length of comment:',
	'min_len_q_content' => 'Minimum length of question body:',
	'min_len_q_title' => 'Minimum length of question title:',
	'min_num_q_tags' => 'Minimum number of tags:',
	'minify_html' => 'Minify HTML:',
	'moderate_anon_post' => 'Use moderation for anonymous posts:',
	'moderate_by_points' => 'Use moderation for users with few points:',
	'moderate_edited_again' => 'Re-moderate posts after editing:',
	'moderate_notify_admin' => 'Email me when a post needs moderation:',
	'moderate_points_limit' => 'Use moderation for users with less than:',
	'moderate_unapproved' => 'Use moderation if user not yet approved:',
	'moderate_unconfirmed' => 'Use moderation if email not confirmed:',
	'moderate_update_time' => 'Time to show on moderated posts:',
	'moderate_users' => 'Enable moderation (approval) of users:',
	'neat_urls' => 'URL structure:',
	'notify_admin_q_post' => 'Email this address when a question is posted',
	'notify_users_default' => 'Check email notification box by default:',
	'option_default' => 'Default',
	'page_size_activity' => 'Length of All Activity page:',
	'page_size_ask_check_qs' => 'Maximum similar questions to show:',
	'page_size_ask_tags' => 'Maximum tag hints to show:',
	'page_size_home' => 'Length of Q&A page:',
	'page_size_hot_qs' => 'Length of Hot! page:',
	'page_size_pms' => 'Private messages per page:',
	'page_size_q_as' => 'Maximum answers per page:',
	'page_size_qs' => 'Length of Questions page:',
	'page_size_related_qs' => 'Maximum related questions:',
	'page_size_search' => 'Search results per page:',
	'page_size_tag_qs' => 'Questions on each tag page:',
	'page_size_tags' => 'Length of Tags page:',
	'page_size_una_qs' => 'Length of Unanswered page:',
	'page_size_users' => 'Length of Users page:',
	'page_size_wall' => 'Wall posts per page:',
	'pages_prev_next' => 'Links to previous/next pages:',
	'permit_admins' => 'Administrators',
	'permit_all' => 'Anybody',
	'permit_approve_users' => 'Approving registered users:',
	'permit_approved' => 'Approved users only',
	'permit_approved_points' => 'Approved users with enough points',
	'permit_block' => 'Blocking or unblocking user or IPs:',
	'permit_confirmed' => 'Registered users with email confirmed',
	'permit_create_admins' => 'Creating administrators:',
	'permit_create_eds_mods' => 'Creating editors and moderators:',
	'permit_create_experts' => 'Creating experts:',
	'permit_delete_users' => 'Deleting users:',
	'permit_editors' => 'Editors, Moderators, Admins',
	'permit_experts' => 'Experts, Editors, Moderators, Admins',
	'permit_moderators' => 'Moderators and Admins',
	'permit_points' => 'Registered users with enough points',
	'permit_points_confirmed' => 'Registered & email confirmed & enough points',
	'permit_see_emails' => 'Viewing user email addresses:',
	'permit_supers' => 'Super Administrators',
	'permit_users' => 'Registered users',
	'place_full_below_content' => 'Full width - Below content',
	'place_full_below_footer' => 'Full width - Below footer',
	'place_full_below_nav' => 'Full width - Below navigation',
	'place_full_top' => 'Full width - Top of page',
	'place_main_below_lists' => 'Main area - Below lists',
	'place_main_below_title' => 'Main area - Below title',
	'place_main_bottom' => 'Main area - Bottom',
	'place_main_top' => 'Main area - Top',
	'place_side_below_categories' => 'Side panel - Below categories', // @deprecated
	'place_side_below_sidebar' => 'Side panel - Below sidebar box',
	'place_side_low' => 'Side panel - Low',
	'place_side_last' => 'Side panel - Last',
	'place_side_top' => 'Side panel - Top',
	'points_a_selected' => 'Having your answer selected as the best:',
	'points_a_voted_max_gain' => 'Limit from up votes on each answer:',
	'points_a_voted_max_loss' => 'Limit from down votes on each answer:',
	'points_base' => 'Add for all users:',
	'points_c_voted_max_gain' => 'Limit from up votes on each comment:',
	'points_c_voted_max_loss' => 'Limit from down votes on each comment:',
	'points_multiple' => 'Multiply all points:',
	'points_per_a_voted_down' => 'Per down vote on your answer:',
	'points_per_a_voted_up' => 'Per up vote on your answer:',
	'points_per_c_voted_down' => 'Per down vote on your comment:',
	'points_per_c_voted_up' => 'Per up vote on your comment:',
	'points_per_q_voted_down' => 'Per down vote on your question:',
	'points_per_q_voted_up' => 'Per up vote on your question:',
	'points_post_a' => 'Posting an answer:',
	'points_post_q' => 'Posting a question:',
	'points_q_voted_max_gain' => 'Limit from up votes on each question:',
	'points_q_voted_max_loss' => 'Limit from down votes on each question:',
	'points_select_a' => 'Selecting an answer for your question:',
	'points_vote_down_a' => 'Voting down an answer:',
	'points_vote_down_q' => 'Voting down a question:',
	'points_vote_up_a' => 'Voting up an answer:',
	'points_vote_up_q' => 'Voting up a question:',
	'q_urls_remove_accents' => 'Remove accents from question URLs:',
	'q_urls_title_length' => 'Question title length in URLs:',
	'recalc_hotness_q_view' => 'Recalculate hotness on every question page view:',
	'register_notify_admin' => 'Email me when a new user registers:',
	'search_module' => 'Use search module:',
	'show_a_form_immediate' => 'Show answer form immediately:',
	'show_always' => 'Always',
	'show_c_reply_buttons' => 'Show reply button on comments:',
	'show_compact_numbers' => 'Show compact numbers (e.g. 1.3k):',
	'show_custom_answer' => 'Custom message on answer form - HTML allowed:',
	'show_custom_ask' => 'Custom message on ask form - HTML allowed:',
	'show_custom_comment' => 'Custom message on comment form - HTML allowed:',
	'show_custom_footer' => 'Custom HTML at bottom of every page:',
	'show_custom_header' => 'Custom HTML at top of every page:',
	'show_custom_home' => 'Custom content in home page instead of Q&A',
	'show_custom_in_head' => 'Custom HTML in <head> section of every page:',
	'show_custom_register' => 'Custom message on registration form - HTML allowed:',
	'show_custom_sidebar' => 'Custom HTML in sidebar box on every page:',
	'show_custom_sidepanel' => 'Custom HTML in side panel on every page:',
	'show_custom_welcome' => 'Custom message in email sent to new registered users:',
	'show_fewer_cs_count' => 'If partially hidden, show most recent:',
	'show_fewer_cs_from' => 'Partially hide comments if more than:',
	'show_full_date_days' => 'Show full date after:',
	'show_home_description' => 'Include <meta> description for home page:',
	'show_if_no_as' => 'If no answers',
	'show_message_history' => 'Store and display private message history:',
	'show_never' => 'Never',
	'show_notice_visitor' => 'Notice at top for first time visitors - HTML allowed:',
	'show_notice_welcome' => 'Notice at top for new registered users - HTML allowed:',
	'show_post_update_meta' => 'Show edits/updates in post meta:',
	'show_register_terms' => 'Terms & Conditions checkbox on registration form - HTML allowed:',
	'show_selected_first' => 'Move selected answer to the top:',
	'show_url_links' => 'Detect and link URLs in posts:',
	'show_user_points' => 'Show points next to usernames:',
	'show_user_titles' => 'Show titles next to usernames:',
	'show_view_count_q_page' => 'Show view count on question pages:',
	'show_view_counts' => 'Show view count in question lists:',
	'show_when_created' => 'Show age of user posts:',
	'site_language' => 'Site language:',
	'site_maintenance' => 'Take site down for temporary maintenance',
	'site_text_direction' => 'Site text direction:',
	'site_theme' => 'Site theme:',
	'site_theme_mobile' => 'Theme for mobiles:',
	'site_title' => 'Q&A site name:',
	'site_url' => 'Preferred site URL:',
	'smtp_active' => 'Send email via SMTP instead of local mail',
	'smtp_address' => 'SMTP server address:',
	'smtp_authenticate' => 'Send SMTP username and password',
	'smtp_password' => 'SMTP password:',
	'smtp_port' => 'SMTP server port:',
	'smtp_secure' => 'SMTP secure connection:',
	'smtp_secure_none' => 'None',
	'smtp_username' => 'SMTP username:',
	'sort_answers_by' => 'Sort answers by:',
	'sort_time' => 'Time',
	'sort_votes' => 'Votes',
	'suspend_register_users' => 'Temporarily suspend new user registrations:',
	'tag_separator_comma' => 'Use comma as the only tag separator:',
	'tags_or_categories' => 'Question classification:',
	'time_approved' => 'Time approved',
	'time_written' => 'Time written',
	'use_microdata' => 'Use schema.org microdata:',
	'votes_separated' => 'Show separate up and down votes:',
	'voting_on_as' => 'Allow voting on answers:',
	'voting_on_cs' => 'Allow voting on comments:',
	'voting_on_q_page_only' => 'Allow voting on question page only:',
	'voting_on_qs' => 'Allow voting on questions:',
);
